AppMirrorリソースを削除します
DELETE /accounts/{account_id}/k8s/v1/appMirrors/{appMirror_id}
指定されたAppMirror APIリソースを削除します。AppMirrorリソース、およびAppMirror関係の結果としてソースクラスターと宛先クラスターで作成されたリソースを非同期的に削除するプロセスを開始します。削除されるリソースは、削除時点での関係性の状態によって異なります。
副作用
-
stateDesiredフィールドは「deleted」に設定されています。
-
状態フィールドは「削除中」に設定されています。
-
状態が"established"の場合、AppMirror関係によって作成されたTridentMirrorRelationshipsおよびPersistentVolumeClaimsは削除されます。
-
状態が"failedOver"の場合、AppMirror関係によって作成されたTridentMirrorRelationshipsは削除され、宛先アプリケーションのPersistentVolumeClaimsはそのまま残されます。
-
非同期削除操作が完了すると、AppMirror APIリソースは、送信元アプリケーションと宛先アプリケーションの両方から削除されます。
パラメータ
| Name | を入力します | 入力 | 必須 | 説明 |
|---|---|---|---|---|
account_id |
string |
path(パス) |
True |
包含するアカウントリソースのID
|
appMirror_id |
string |
path(パス) |
True |
リストするappMirrorコレクションのID |
応答
Status: 204, Indicates if the appMirror resource was deleted.
応答
Status: 401, Unauthorized
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
応答
Status: 400, Bad request
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
配列["invalidParams"] |
False |
無効なクエリパラメータのリスト |
回答例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
応答
Status: 403, Forbidden
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
エラー
Status: 404, Not found
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
エラー応答の例
{
"type": "https://astra.netapp.io/problems/1",
"title": "Resource not found",
"detail": "The resource specified in the request URI wasn't found.",
"status": "404"
}
用語の意味
定義を参照
invalidParams
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
名前 |
string |
True |
無効なクエリパラメータの名前 |
理由 |
string |
True |
クエリパラメータが無効な理由 |